Bug 38660 - print/acroread4 and print/acroread5 fail to install after linux_base update
Summary: print/acroread4 and print/acroread5 fail to install after linux_base update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-28 15:00 UTC by obraun
Modified: 2002-06-07 18:44 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.05 KB, patch)
2002-05-28 15:00 UTC, obraun
no flags Details | Diff
file.diff (964 bytes, patch)
2002-05-28 15:00 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-05-28 15:00:12 UTC
After the linux_base update to 7.1 both print/acroread4 and print/acroread5
fail to install.

The first problem is fixed very easy:

-RUN_DEPENDS=   /compat/linux/usr/i486-linux-libc5/lib/libc.so.5:${PORTSDIR}/emulators/linux_base
+RUN_DEPENDS=   /compat/linux/lib/libc.so.6:${PORTSDIR}/emulators/linux_base

The second problem is, that /compat/linux/usr/bin/strip is not part of
linux_base 7.1. However, the binaries are unbranded after installing and are
working, at least on my system.

Regards,
         Olli

How-To-Repeat: 
- install linux_base 7.1 or upgrade to it.
- cd ${PORTSDIR}/print/acroread[4|5] && make install
Comment 1 osa 2002-05-28 15:13:57 UTC
On Tue, May 28, 2002 at 03:53:38PM +0200, Oliver Braun wrote:
> 
> >Description:
> 
> After the linux_base update to 7.1 both print/acroread4 and print/acroread5
> fail to install.
> 
> The first problem is fixed very easy:
> 
> -RUN_DEPENDS=   /compat/linux/usr/i486-linux-libc5/lib/libc.so.5:${PORTSDIR}/emulators/linux_base
> +RUN_DEPENDS=   /compat/linux/lib/libc.so.6:${PORTSDIR}/emulators/linux_base
> 
> The second problem is, that /compat/linux/usr/bin/strip is not part of
> linux_base 7.1. However, the binaries are unbranded after installing and are
> working, at least on my system.

acroread5 correctly works with linux_base-6. I don't see any reasons
to depends from linux_base-7.

My patch looks like this:

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/print/acroread5/Makefile,v
retrieving revision 1.31
diff -r1.31 Makefile
18c18
< RUN_DEPENDS=	/compat/linux/usr/i486-linux-libc5/lib/libc.so.5:${PORTSDIR}/emulators/linux_base
---
> RUN_DEPENDS=	/compat/linux/usr/i486-linux-libc5/lib/libc.so.5:${PORTSDIR}/emulators/linux_base-6

-- 

Rgdz,                                /"\ 
Sergey Osokin aka oZZ,               \ /  ASCII RIBBON CAMPAIGN
osa@freebsd.org.ru                    X     AGAINST HTML MAIL
http://freebsd.org.ru/~osa/          / \
Comment 2 dwcjr 2002-05-29 20:51:08 UTC
There is a better way that would fix both problems.  There should be like a
/compat/linux/etc/redhat-release file that you could depend on.  If its not
in then depend on linux_base (version 7), if its there then either version
of linux_base installed will be fine if the port does work with both.
Comment 3 obraun 2002-06-02 16:00:28 UTC
please close this, since it has been fixed by the maintainer.

Regards,
         Olli
-- 
IST & IIS _ INF _ UniBwM ___________ http://ist.unibw-muenchen.de/People/obraun/
Tele-Consulting GmbH _______________ http://www.tele-consulting.com/ ___ obraun@
FreeBSD: The Power To Serve ________ http://www.freebsd.org/ ___________________
GnuPG: 0xEF25B1BA Fingerprint: 6A3B 042A 732E 17E4 B6E7 3EAF C0B1 6B7D EF25 B1BA
Comment 4 Pete Fritchman freebsd_committer 2002-06-07 18:42:37 UTC
State Changed
From-To: open->closed

All changes have been committed now, thanks!